#include <Magick++.h>
#include <iostream>

using namespace std;
using namespace Magick;

struct couple { char* res; char* filename; };

struct list_img
{
  Image img;
  char* filename;
  struct list_couple * next;
};

int main(int argc,char **argv)
{
 
  if ( argv[1] == NULL )
    {
      cout << "usage: " << argv[0] << " source_img [res filename] ...\n";
      exit(1);
    }

  
  Image master(argv[1]);
  master.filterType(TriangleFilter);

  /*
  struct list_img * list;
  struct list_img * list_pt;
  */

  int ct=2;

  while ( ct < argc)
    {
      if ((argv[ct] != NULL) && (argv[ct+1] != NULL))
	{

	  //  list_pt->current->res = argv[ct];

	  //	  cout << "Creating image : \n";

	  //	  cout << "  - size to : " << argv[ct] << "...\n";
	  master.zoom(argv[ct]);
	  master.write(argv[ct+1]);

	  //	  cout << "  - write to " << argv [ct+1] << "...\n";
	  

	  //	  list_pt->current->filename = argv[ct+1];

	  //	  cout << "writing res  : " << list_pt->current->res << "\n";
	  //	  cout << "        file : " << list_pt->current->filename << "\n";

	}
      else
	{
	  cout << "error: wrong count of arguments : need at least one pair of arguments for [ res filename ], or pair must be complete...\n";
	  cout << "usage: " << argv[0] << " source_img [res filename] ...\n";
	  exit(1);
  	};
      //      cout << "test : " << argv[ct] << "\n";
      ct+=2;
    };



  exit(1);
  return(0);

  /*
    Image second = master;
    second.zoom("640x480");
    Image third = master;
    third.zoom("800x600");
    second.write("horse640x480.jpg");
    third.write("horse800x600.jpg");
    return 0;
    */
}
