<?php
  // Take res1 and res2 strings as : "AxB" where A and B are numbers.
  // Return res3, a proportional to $res1 resolution fitting in res2.
  function reduce_to( $res1,$res2)
    {
      $res1_array=explode("x",$res1);
      $res2_array=explode("x",$res2);
      
      $factor = $res2_array[0] / $res1_array[0];
      
      $new_w=round($factor * $res1_array[0]);
      $new_h=round($factor * $res1_array[1]);
      
      if ($new_h > $res2_array[1])
	{
	  $factor = $res2_array[1] / $res1_array[1];
	  $new_w=round($factor * $res1_array[0]);
	  $new_h=round($factor * $res1_array[1]);
	};
      
      return( $new_w . "x" . $new_h );
    };
  
  // Take res1 and res2 strings as : "AxB" where A and B are numbers.
  // Return true/false if $res2 contains $res1 STRICTLY.
  function is_in( $res1,$res2)
    {
      $res1_array=explode("x",$res1);
      $res2_array=explode("x",$res2);
      
      return( ($res1_array[0] < $res2_array[0]) && ($res1_array[1] < $res2_array[1]));
    };
  
  // Take res1 and res2 strings as : "AxB" where A and B are numbers.
  // Return true/false if $res2 contains $res1 NOT STRICTLY.
  function is_in_notstrict( $res1,$res2)
    {
      $res1_array=explode("x",$res1);
      $res2_array=explode("x",$res2);
      
      return( ($res1_array[0] <= $res2_array[0]) && ($res1_array[1] <= $res2_array[1]));
    };

?>